# `libsndfile_jll.jl` (v1.1.0+0)

[![deps](https://juliahub.com/docs/libsndfile_jll/deps.svg)](https://juliahub.com/ui/Packages/libsndfile_jll/al3z1?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/f4a5cba968f15b68baa2a7a27559e09367f22900/L/libsndfile/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `libsndfile_jll.jl` have been built from these sources:

* compressed archive: https://github.com/libsndfile/libsndfile/releases/download/1.1.0/libsndfile-1.1.0.tar.xz (SHA256 checksum: `0f98e101c0f7c850a71225fb5feaf33b106227b3d331333ddc9bacee190bcf41`)

## Platforms

`libsndfile_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `libsndfile_jll.jl`:

* [`FLAC_jll`](https://github.com/JuliaBinaryWrappers/FLAC_jll.jl)
* [`Ogg_jll`](https://github.com/JuliaBinaryWrappers/Ogg_jll.jl)
* [`Opus_jll`](https://github.com/JuliaBinaryWrappers/Opus_jll.jl)
* [`alsa_jll`](https://github.com/JuliaBinaryWrappers/alsa_jll.jl)
* [`libvorbis_jll`](https://github.com/JuliaBinaryWrappers/libvorbis_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libsndfile`
* `ExecutableProduct`: `sndfile_cmp`
* `ExecutableProduct`: `sndfile_concat`
* `ExecutableProduct`: `sndfile_convert`
* `ExecutableProduct`: `sndfile_deinterleave`
* `ExecutableProduct`: `sndfile_info`
* `ExecutableProduct`: `sndfile_interleave`
* `ExecutableProduct`: `sndfile_metadata_get`
* `ExecutableProduct`: `sndfile_metadata_set`
* `ExecutableProduct`: `sndfile_play`
* `ExecutableProduct`: `sndfile_salvage`
